import 'package:cims_apps/core/route/base_route.dart';
import 'package:cims_apps/routes/dashboard/dashboard_route.dart';

import 'initial/initial_route.dart';

class AllRoute {
  static Map<String, BaseRoute> allRouteMap = {};

  List<BaseRoute> allRoute = [
    ...InitialRoute.listRoute,
    ...DashboardRoute.listRoute,
  ];

  void key() {
    if (allRouteMap.isNotEmpty) {
      return;
    }
    for (var e in allRoute) {
      allRouteMap[e.routeName] = e;
    }
  }
}
